#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 43. Audio Utilities

- Prev

  kwave-21.12.2

- Next

  mpg123-1.29.3

- Up
- Home

# LAME-3.100

## Introduction to LAME

The LAME package contains an MP3 encoder and optionally, an MP3 frame analyzer. This is useful for creating and analyzing compressed audio files.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/lame/lame-3.100.tar.gz

- Download MD5 sum: 83e260acbe4389b54fe08e0bdbf7cddb

- Download size: 1.5 MB

- Estimated disk space required: 9.7 MB

- Estimated build time: 0.1 SBU

### LAME Dependencies

#### Optional

Dmalloc, Electric Fence, libsndfile-1.0.31 and NASM-2.15.05

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/lame

## Installation of LAME

Install LAME by running the following commands:

    ./configure --prefix=/usr --enable-mp3rtp --disable-static &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make pkghtmldir=/usr/share/doc/lame-3.100 install

## Command Explanations

`--enable-mp3rtp`: This switch enables building the encode-to-RTP program.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-nasm`: Enable the use of NASM-2.15.05 to compile optimized assembly routines.

## Contents

Installed Programs: lame and mp3rtp
Installed Library: libmp3lame.so
Installed Directories: /usr/include/lame and /usr/share/doc/lame-3.100

### Short Descriptions

lame | creates MP3 audio files from raw PCM or `.wav` data
mp3rtp | is used to encode MP3 with RTP streaming of the output
`libmp3lame.so` | libraries provide the functions necessary to convert raw PCM and WAV files to MP3 files

Last updated on

- Prev

  kwave-21.12.2

- Next

  mpg123-1.29.3

- Up
- Home